'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'(C)2006-2016 KoXo Developpement
'x86 & x64
'KoXo Profiles Downloader Script
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'
' This script uses the server with the role "PDC Emulator" to execute "KoXo Profiles Downloader"
' Ce script utilise le serveur ayant le rle "Emulateur PDC" pour excuter "KoXo Profiles Downloader"
'
Set objRootDSE=GetObject("LDAP://rootDSE")
Set objDomain=GetObject _  
    ("LDAP://" & objRootDSE.Get("defaultNamingContext"))
strPdcEmulator=objDomain.Get("fSMORoleOwner")
Set objNtds=GetObject("LDAP://" & strPdcEmulator)
Set objComputer=GetObject(objNtds.Parent)
strPdcEmulator=objComputer.cn
Set Wscr=CreateObject("WScript.Shell")
'
' To use another server, insert below a line : strPdcEmulator="MY_SERVER"
' Pour utiliser un autre serveur, insrer ci-dessous une ligne : strPdcEmulator="MON_SERVEUR"
'
If OsIs64bits Then 
   WScr.Run "\\" & strPdcEmulator & "\KoXoProfiles$\ProfilesDownloader64.exe", 1, True
   Else
   WScr.Run "\\" & strPdcEmulator & "\KoXoProfiles$\ProfilesDownloader32.exe", 1, True
   End If
WScript.Quit
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'64 bits ?
Function OsIs64bits
On Error Resume Next
Dim objWMIService,colOperatingSystems
Set objWMIService=GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\.\root\cimv2")
Set colOperatingSystems=objWMIService.ExecQuery("Select * from Win32_OperatingSystem")
For Each objOperatingSystem in colOperatingSystems
    OSArchi=objOperatingSystem.OSArchitecture
Next
OsIs64bits=InStr(OSArchi,"64")
End Function



